NTPD issues with latest DietPi image?

(Mikael Ollars) #1

Anyone else had issues with the latest Raspberry Pi image of DietPi?
I was trying to check up on the issues reported in the thread concerning Audiophonics i-Sabre DAC and its non-latching power button.
I didn’t get that far… My Raspberry Pi 2B which is contained in the RaspDAC LTE chassi cannot initialize itself as it cannot get in touch with the NTPD (Time-server). I tried different time servers, none gives any response and i am stuck in a loop.
It does however perform all the necessary connection checks with dietpi.com etc. And i can continue the setup using manual override…

@Dan_Knight, any ideas?

(Peter Wright) #2

I had the same problem on the weekend when I went to check for updates. I just gave up for the time being and was going to look at it again on the weekend.

1 Like
(Mikael Ollars) #3

Well, i just thought i’d update my Tinkerboard so i retrieved the latest DietPi image and etched it to a microSD. The NPTD issues are still here, no way of getting in touch with any NTP server for me. However the behaviour with the Tinkerboard is a bit different? Maybe @Dan_Knight did some changes? Here the Override option is directly available in the NTP dialogue. Seems to have a lot of errors during initialization also.
Issues with locales also, just like in the Raspberry image… Defaulting to british i think.
The install/upgrades seem to complete successfully though, and the Tinkerboard reboots after getting up to 6.6.
A lot of these it seems?:

  • exit_code = 100
  • VERSION:v6.6 | HW_MODEL:52 | HW_ARCH:2 | DISTRO:4

Log file contents:
Ign:11 https://deb.debian.org/debian-security stretch/updates/main Translation-e
Ign:12 https://deb.debian.org/debian-security stretch/updates/contrib armhf
Packages
Ign:13 https://deb.debian.org/debian-security stretch/updates/contrib all
Packages
Ign:14 https://deb.debian.org/debian-security stretch/updates/contrib
Translation-en
Ign:15 https://deb.debian.org/debian-security stretch/updates/contrib
Translation-en_GB
Ign:16 https://deb.debian.org/debian-security stretch/updates/non-free all
Packages
Ign:17 https://deb.debian.org/debian-security stretch/updates/non-free armhf

                                 <Ok>
(Dan Knight) #4

Hi,

We are aware of some users having issues with time sync, however, unsure of the cause at the moment.

Please see this ticket for discussion and tests:

1 Like
(Mikael Ollars) #5

Thanks for the reply Dan!
There seem to be some other issue with the certificate store on the nanoPi NEO series of images though?:
53

It seems the local cert store needs to be updated, as i can connect to https://deb.debian.org without issue in my browsers?

(Dan Knight) #6

Hi Mikael,

Thanks for the report. I’ll check the image locally. Is this on a fresh install?

Please verify the following package is installed:

apt-get install debian-archive-keyring -y
(Mikael Ollars) #7

Appreciate the swift reply Dan!

After the previous message about the non-trusted cert, your command gives this reply:

root@DietPi:~# apt-get install debian-archive-keyring -y
Reading package lists… Done
Building dependency tree
Reading state information… Done
debian-archive-keyring is already the newest version (2017.5).
debian-archive-keyring set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@DietPi:~#

(Mikael Ollars) #8

I tried

dietpi-update

And it worked just fine? Didn’t expect that… But after the required reboot after getting up to date:
33
(This is my NanoPi NEO2)
It seems i CAN get on with my install after all…

Edit:
It looks like the connection issues were related to the previous NPTD problems.They are evident here too, but after setting locale, time zone and setting date and time it works! :slight_smile:

[ OK ] DietPi-Software | Connection test: https://deb.debian.org/debian/

#9

Hi Dan,
I am still getting this issue on my Allo USBridge with latest 6.12 installed which its supposed to be fixed. . Any ideas>